API Docs
Customers
API ReferenceCustomersUpdate

Update Customer

Update an existing customer's details.

POST /customers/:customer_id

Path Parameters

ParameterTypeDescription
customer_idstringRequired. The ID of the customer to update.

Body Parameters

ParameterTypeRequiredDescription
emailstringNoUpdated email address.
namestringNoUpdated name.
phonestringNoUpdated phone number.
phone_country_codestringNoUpdated phone country code.
descriptionstringNoUpdated description.
metadataobjectNoUpdated metadata.

Request Example

curl -X POST 'https://api.v2.paychtec.com/customers/cus_1234567890abcdef' \  -H "Content-Type: application/json" \  -H "api-key: snd_YOUR_API_KEY" \  -d '{  "name": "John Smith",  "description": "VIP customer"}'

Response

{
  "customer_id": "cus_1234567890abcdef",
  "email": "john@example.com",
  "name": "John Smith",
  "description": "VIP customer",
  "modified_at": "2024-01-22T12:00:00Z"
}